Redmine - Defect #32194

Calendar page lacks buttons to manage custom queries

2019-10-04 08:52 - Go MAEDA

Status: Closed
Priority: Normal
Assignee: Go MAEDA
Category: Calendar
Target version: 4.2.0
Resolution: Fixed

Start date:

Due date:

% Done: 0%
Estimated time: 0.00 hour

Affected version:

Description

You can apply existing custom queries to Calendar but you cannot create, edit, or delete custom queries on the Calendar page
because the page lacks "Save", "Edit", or "Delete" buttons for queries.

Like Issues and Gantt, the Calendar page should also have those buttons.

1.0

Calendar
Filters
Status open Add filter
Month = October Year 2019 s Apply @ Clear « September | November »
Sunday Monday Tuesday Wednesday Thursday Friday Saturday
40 1 2 3 4 5
& Feature = Bug #1: Private child of
request #2: Add Cannot print eCookbook -
ingredients recipes € Bug #10:
Multiple custom fields query
Filters
Month  QOctober Year 2019 ¢ Apply @ Clear « September | November »
Sunday Monday Tuesday Wednesday Thursday Friday Saturday
40 1 2 3 4 5

Associated revisions

Revision 19322 - 2019-11-30 01:58 - Go MAEDA

Add buttons to save/edit/delete a custom query to calendar view (#32194).

Patch by Mizuki ISHIKAWA.

Revision 19323 - 2019-11-30 02:05 - Go MAEDA

Fix indentation in app/views/queries/_form.html.erb (#32194).

Patch by Mizuki ISHIKAWA.

History

#1 - 2019-10-09 07:58 - Mizuki ISHIKAWA

- File 0001-Add-manage-custom-query-buttons-on-calendar.patch added

- File 0002-Fix-indentation-in-queries-_form.patch added

2025-08-23
| attach a patch to add "Save", "Edit" and "Delete" buttons(0001~).

The 0002 patch corrects the indentation of corrects app/views/queries/_form.html.erb.
Since the buttons are only added by the 0001 patch, it is not mandatory to commit the 0002 patch.

#2 - 2019-10-10 16:31 - Go MAEDA
Setting the target version to 4.2.0.

This patch conflicts with #23980. | don't commit this patch now in order to prioritize #23980.

#3 - 2019-10-21 22:02 - Marius BALTEANU

- Target version set to 4.2.0

#4 - 2019-11-03 12:32 - Go MAEDA

- Target version changed from 4.2.0 to 4.1.0

Go MAEDA wrote:

This patch conflicts with #23980. | don't commit this patch now in order to prioritize #23980.

Since #23980 was postponed until 5.0.0, | think this fix can be committed now.

#5 - 2019-11-04 08:05 - Marius BALTEANU
Go MAEDA wrote:

Go MAEDA wrote:

This patch conflicts with #23980. | don't commit this patch now in order to prioritize #23980.

Since #23980 was postponed until 5.0.0, | think this fix can be committed now.

| think the patches conflicts with #29482 and not with #23980. Right now, only the first patch can be applied cleanly on the current trunk.

#6 - 2019-11-09 07:06 - Go MAEDA

- Target version changed from 4.1.0 to Candidate for next major release

#7 - 2019-11-29 03:09 - Mizuki ISHIKAWA
- File 0001-Add-manage-custom-query-buttons-on-calendar.patch added

- File 0002-Fix-indentation-in-queries-_form.patch added

| modified the patch so that it can be applied cleanly to the current trunk.

#8 - 2019-11-29 14:48 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Thank you for updating the patch. Setting the target version to 4.2.0.

#9 - 2019-11-30 02:06 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.
